Subject: bug#37563: 27.0.50; fit-frame-to-buffer does not account for line-spacing

From: martin rudalics <[email-masked]>
Date: Wed, 2 Oct 2019 10:54:03 +0200

> I surely find the complexity of all this code jarring, so I have to
 > restrict myself to looking at a single issue; and here, it's clearly
 > fixing a bug, using the char height is simply wrong, IMO.

Agreed.  But if I change 'fit-frame-to-buffer', then, for consistency,
I have to at least change 'fit-window-to-buffer' too.

 > +          (setq height (* (/ (+ height line-height -1) line-height)
 > +                          line-height)))
[...]
 > And then char-height can be dropped.

Right.

Thanks, martin